---
title: USBIsochronousOutTransferResult
slug: Web/API/USBIsochronousOutTransferResult
tags:
  - API
  - Experimental
  - Interface
  - NeedsExample
  - Reference
  - USBIsochronousOutTransferResult
  - WebUSB
  - WebUSB API
---
<p>{{draft}}{{securecontext_header}}{{APIRef("WebUSB API")}}</p>

<p>The <code>USBIsochronousOutTransferResult</code> interface of the <a href="/en-US/docs/Web/API/WebUSB_API" rel="nofollow">WebUSB API</a> provides the result from a call to the <code>isochronousTransferOut()</code> method of the <code>USBDevice</code> interface. It represents the result from requesting a transfer of data from the USB host to the USB device.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("USBIsochronousOutTransferResult.USBIsochronousOutTransferResult()")}}</dt>
 <dd>Creates a new <code>USBIsochronousOutTransferResult</code> object with the provided <code>packet</code> field.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("USBIsochronousOutTransferResult.packets")}}{{readonlyInline}}</dt>
 <dd>Returns an array of <code>USBIsochronousOutTransferPacket</code> objects containing the result of each request to send a packet to the device.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web USB','#usbisochronousouttransferresult','USBIsochronousOutTransferResult')}}</td>
   <td>{{Spec2('Web USB')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.USBIsochronousOutTransferResult")}}</p>
